Name: starlink-ast
Version: 7.3.1
Release: %mkrel 2
Summary: A Library for Handling World Coordinate Systems in Astronomy

# Upstream version
%define upversion 7.3.1
%define major 0
%define libname %mklibname %{name} %{major}
%define libname_virt	lib%{name}
%define develname %mklibname %{name} -d

Group: Sciences/Astronomy
License: LGPLv2+
URL: http://starlink.jach.hawaii.edu/starlink/AST
Source0: http://www.starlink.ac.uk/download/ast/ast-7.3.1.tar.gz
BuildRequires: starlink-pal-devel
BuildRequires: gcc-gfortran

%description
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.


%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: A Library for Handling World Coordinate Systems in Astronomy
Group: Sciences/Astronomy
Provides: %{libname_virt} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.

%prep
%setup -q -n ast-%{upversion}
sed -i -e 's/libpal.la/libstarlink_pal.la -lsofa_c -lm/g' Makefile*
%apply_patches

%build
%configure2_5x --with-external_pal --disable-static
sed -i -e 's!-Wl,--no-undefined!!g' Makefile* config.status
# Build is not multithread clean and has undef symbols
make 

%install
%makeinstall_std
rm -rf %{buildroot}%{_prefix}/docs
rm -rf %{buildroot}%{_prefix}/help
rm -rf %{buildroot}%{_prefix}/manifests
rm -rf %{buildroot}%{_prefix}/news
rm -rf %{buildroot}%{_prefix}/share

%files -n %{libname}
%{_libdir}/libast*.so.*

%files -n %{develname}
%{_bindir}/ast_*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 7.3.1-2.mga4
+ Revision: 531857
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 joequant <joequant> 7.3.1-1.mga4
+ Revision: 465568
- add gfortran
- add build requires
- imported package starlink-ast

